%global momorel 2
%global artsver 1.5.7
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.7
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 81a78cda5e43dc45235deeefe5196c9b

Summary: A GraphViz dot graph viewer for KDE
Name: kgraphviewer
Version: 1.0.4
Release: %{momorel}m%{?dist}
License: GPL
URL: https://gna.org/projects/kgraphviewer/
Group: Applications/Engineering
%NoSource 0 http://download.gna.org/%{name}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: graphviz
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: desktop-file-utils
BuildPreReq: gettext

%description
KGraphViewer is user-friendly KDE application for viewing dot graphs 
created for processing with GraphViz. Notable features provided include:

- loading of several graphs in tabs
- bird's-eye graph view
- zooming view
- simple printing
- context menu and toolbar for selecting layout algorithms
- session management

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/32x32/apps/kgraphviewer.png %{buildroot}%{_datadir}/pixmaps/kgraphviewer.png

# install desktop files
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category Graphics \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/kgraphviewer.desktop

mkdir -p %{buildroot}%{_datadir}/services
mv %{buildroot}%{_datadir}/applnk/kgraphviewer_part.desktop %{buildroot}%{_datadir}/services/

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML
for lang in it pt sv ; do
  if [ -d $lang ]; then
    cd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../docs/common $i
      fi
    done
    cd ..
  fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/kgraphviewer
%{_libdir}/kde3/libkgraphviewerpart.la
%{_libdir}/kde3/libkgraphviewerpart.so*
%{_libdir}/libkgraphviewerprinting.la
%{_libdir}/libkgraphviewerprinting.so*
%{_datadir}/applications/kde/kgraphviewer.desktop
%{_datadir}/apps/kgraphviewer
%{_datadir}/apps/kgraphviewerpart
%{_datadir}/config.kcfg/kgraphviewer_partsettings.kcfg
%{_datadir}/config.kcfg/kgraphviewersettings.kcfg
%{_datadir}/doc/HTML/*/kgraphviewer
%{_datadir}/icons/*/*/*/kgraphviewer.png
%{_datadir}/locale/*/LC_MESSAGES/kgraphviewer.mo
%{_datadir}/mimelnk/x-kgraphviewer.desktop
%{_datadir}/pixmaps/kgraphviewer.png
%{_datadir}/services/kgraphviewer_part.desktop

%changelog
* Mon Jul 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.4-2m)
- change "Categories" of kgraphviewer.desktop from Math to Graphics

* Mon Jul 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.4-1m)
- version 1.0.4
- update desktop.patch

* Thu Apr 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.3-2m)
- apply some fixes from svn.kde.org

* Wed Apr 25 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.3-1m)
- initial package for Momonga Linux
